PHPExcel_Writer_Excel2007

# Class: PHPExcel_Writer_Excel2007_WriterPart

Source Location: /PHPExcel/Writer/Excel2007/WriterPart.php

### Class Overview

PHPExcel_Writer_Excel2007_WriterPart

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

- __construct
- getParentWriter
- setParentWriter

### Child classes:

PHPExcel_Writer_Excel2007_Chart
  PHPExcel_Writer_Excel2007_Chart

PHPExcel_Writer_Excel2007_Comments
  PHPExcel_Writer_Excel2007_Comments

PHPExcel_Writer_Excel2007_ContentTypes
  PHPExcel_Writer_Excel2007_ContentTypes

PHPExcel_Writer_Excel2007_DocProps
  PHPExcel_Writer_Excel2007_DocProps

PHPExcel_Writer_Excel2007_Drawing
  PHPExcel_Writer_Excel2007_Drawing

PHPExcel_Writer_Excel2007_Rels
  PHPExcel_Writer_Excel2007_Rels

PHPExcel_Writer_Excel2007_StringTable
  PHPExcel_Writer_Excel2007_StringTable

PHPExcel_Writer_Excel2007_Style
  PHPExcel_Writer_Excel2007_Style

PHPExcel_Writer_Excel2007_Theme
  PHPExcel_Writer_Excel2007_DocProps

PHPExcel_Writer_Excel2007_Workbook
  PHPExcel_Writer_Excel2007_Workbook

PHPExcel_Writer_Excel2007_Worksheet
  PHPExcel_Writer_Excel2007_Worksheet

### Class Details

[line 36]
PHPExcel_Writer_Excel2007_WriterPart

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)
abstract: |

[ Top ]

### Class Methods

### constructor __construct [line 75]

`PHPExcel_Writer_Excel2007_WriterPart __construct( [PHPExcel_Writer_IWriter $pWriter = null])`

Set parent IWriter object

#### Tags:

throws: | Exception
access: | public

#### Parameters:

PHPExcel_Writer_IWriter | $pWriter |

[ Top ]

### method getParentWriter [line 61]

`PHPExcel_Writer_IWriter getParentWriter( )`

Get parent IWriter object

#### Tags:

throws: | Exception
access: | public

[ Top ]

### method setParentWriter [line 51]

`void setParentWriter( [PHPExcel_Writer_IWriter $pWriter = null])`

Set parent IWriter object

#### Tags:

throws: | Exception
access: | public

#### Parameters:

PHPExcel_Writer_IWriter | $pWriter |

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:18:18 +0200 by phpDocumentor 1.4.4